cluster <- new.env(parent = emptyenv())
# Stuff for Rcpp code

#' @useDynLib ctools
#' @importFrom Rcpp sourceCpp

.onLoad <- function(libname, pkgname) {

  assign("use.FORK",    F, envir = cluster)
  assign("use.MPI",     F, envir = cluster)
  assign("use.PSOCK",   F, envir = cluster)
  assign("use.cluster", F, envir = cluster)
  assign("local.cores", parallel::detectCores(), envir = cluster)

	is.unix <- ifelse(.Platform$OS.type == "unix", T, F)
	assign("is.unix", is.unix, envir = cluster)
	if (is.unix) {
		mpi.check <- ifelse(system2("pgrep", "mpirun", stdout = F) == 0, T, F)
		mpi.check <- requireNamespace("Rhpc", quietly = TRUE) & mpi.check
	} else{
		mpi.check <- F
	}
	assign("mpi.check", mpi.check, envir = cluster)
	# Check if the current process is actually a cluster node
	mpi.rank <- getOption("Rhpc.mpi.rank", default = FALSE)
	mpi.node <- ifelse(is.numeric(mpi.rank), TRUE, FALSE)
	assign("mpi.node", mpi.node, envir = cluster)

	if ( !mpi.node ) {
		reg.finalizer(
				e = parent.env(environment()),
				f = function(env) {
					use.cluster <- get("use.cluster", envir = cluster)
					if (use.cluster & get("use.MPI", envir = cluster)) {
						cluster$cluster.done()
					} else if (use.cluster) {
						cluster$cluster.done(get("cluster.object", envir = cluster))
					}
				},
			onexit = TRUE)
	}
}
