% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/capply.R
\name{c.apply}
\alias{c.apply}
\title{Portable apply function}
\usage{
\method{c}{apply}(X, MARGIN, FUN, ...)
}
\arguments{
\item{X}{an object with dim > 1, each element of which is individually passed to FUN}

\item{MARGIN}{either 1 for row and 2 for column.}

\item{FUN}{a function object, takes X as first argument}

\item{...}{other arguments, possibly named, to be passed to every iteration of FUN}
}
\description{
Wrapper function for clusterApply(), Rhpc_lapply(), and an implementation of 'mcapply'.
}
\examples{
mat <- matrix(1:12, 3, 4)
c.apply(mat, 1, sum)	# a parallel implementation of rowSums
                     # Note that the serial version is likely faster for this function
}
