% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/capply.R
\name{c.applyLB}
\alias{c.applyLB}
\title{Portable apply function with load balancing}
\usage{
\method{c}{applyLB}(X, MARGIN, FUN, ...)
}
\arguments{
\item{X}{an object with dim > 1, each element of which is individually passed to FUN}

\item{MARGIN}{either 1 for row and 2 for collumn.}

\item{FUN}{a function object, takes X as first argument}

\item{...}{other arguments, possibly named, to be passed to every iteration of FUN}
}
\description{
Wrapper function for clusterApplyLB(), Rhpc_apply(), and an implementation of 'mcapply' with load balancing.
Note that for MPI there is no load balancing.
}
\examples{
mat <- matrix(1:12, 3, 4)
c.applyLB(mat, 1, sum)	# a parallel implementation of rowSums
                       # Note that the serial version is likely faster for this function
}
