% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/config.R
\name{c.config}
\alias{c.config}
\title{Configure options for cores directly}
\usage{
\method{c}{config}(type = c("MPI", "FORK", "PSOCK"), hostfile = NULL,
  cores = NULL)
}
\arguments{
\item{type}{the type of cluster you'd like to use. This can be configured with optins(ctools_type = "<type>").}

\item{hostfile}{if using PSOCK, an MPI style hostfile specifiying the hostnames and slot numbers for the cluster.}

\item{cores}{the number of cores to assign, defaults to maximum number.}
}
\description{
ctools sets the default cores number to the maximum possible,
this function allows the user to change the number of cores used
in local-only parallel, i.e. PSOCKS clusters and FORK parallel.
NOTE: Changing cores for PSOCKS, used exclusively on Windows machines,
restarts the cluster, thus all exported objects are lost. Thus, it's
recommended that this function be used shortly after loading the ctools
package. Unix-like machines, e.g. Linux or OSX, use forking, so the core
number can be changed at any time
}
\examples{
c.config(cores = 2)		# Set cores number to 2
}
