% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/clonly.R
\name{c.export}
\alias{c.export}
\title{Export function for cluster parallel}
\usage{
\method{c}{export}(..., push = TRUE, clear = FALSE)
}
\arguments{
\item{...}{string objects containing variables to export.}

\item{push}{logical of whether or not to push the export list, defaults to TRUE}

\item{clear}{logical of whether or not to erase the export list and add the included options to it, defaults to FALSE}
}
\description{
Wrapper function for parExport() and Rhpc_Export().
Note: This is effectively necessary for PSOCKS and MPI portability.
}
\examples{
vec <- 1:10
c.export("vec", push=FALSE)    # adds object 'vec' to list of things to export, but doesn't export it
c.export(push=T)               # export all objects in the to.export list
c.export("vec")                # add "vec" to the to.export list, then export all items in list
}
