% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cfuns.R
\name{c.source}
\alias{c.source}
\title{Source function for cluster parallel}
\usage{
\method{c}{source}(..., push = TRUE, clear = FALSE, on.main = TRUE,
  on.worker = TRUE)
}
\arguments{
\item{...}{string objects containing paths to files to source.}

\item{push}{logical of whether or not to push the export list, defaults to TRUE}

\item{clear}{logical of whether or not to erase the export list and add the included options to it, defaults to FALSE}

\item{on.main}{logical set to TRUE to source to the main process in a cluster, defaults to TRUE, no effect for FORK}

\item{on.worker}{logical set to TRUE to source to the Worker process in a cluster, defaults to TRUE, no effect for FORK}
}
\description{
Wrapper function for c.call(source, FILE).
}
\examples{
FILE <- "/home/user/useful.R"
c.source(FILE, push=FALSE)                    # adds object 'vec' to list of things to export, but doesn't export it
c.source("/home/user/useful.R", push=FALSE)   # adds object 'vec' to list of things to export, but doesn't export it
c.source(push=T)                              # export all objects in the to.export list
c.source("vec")                               # add "vec" to the to.export list, then export all items in list
}
